package helix.graph.io;

import java.io.IOException;
import java.io.Writer;

import helix.graph.model.Graph;

public abstract class AbstractGraphWriter implements GraphWriter {
	
	protected Writer writer_;
	
	public AbstractGraphWriter(Writer writer) {
		writer_ = writer;
	}
	
	public abstract void write(Graph graph) throws IOException;

}
