package helix.graph.model;

import helix.graph.util.AdaptedIterator;

import java.util.Iterator;

public class EdgeToVertexIterator extends AdaptedIterator<Edge, Vertex> {

	protected Vertex origin_;
	
	public EdgeToVertexIterator(Iterator<Edge> iterator, Vertex origin) {
		super(iterator);
		origin_ = origin;
	}

	public Vertex adapt(Edge e) {
		return e.getVertexTo(origin_);
	}
}
