package helix.graph.model.impl;

import helix.graph.model.IllegalValueException;

/**
 * a RegistryValue containing nothing (mostly used for flags)
 * @author viari
 *
 */
public class RVoid extends ImmutableRegistryValue {

	// API

	public String serialize() {
		return "<void>";
	}

	public boolean toBoolean() throws IllegalValueException {
		throw new IllegalValueException();
	}

	public float toFloat() throws IllegalValueException {
		throw new IllegalValueException();
	}

	public int toInt() throws IllegalValueException {
		throw new IllegalValueException();
	}

	public String toString() throws IllegalValueException {
		return "<void>";
	}
	
}
