package helix.graph.util;

import java.util.BitSet;

import org.junit.*;

public class TestBitset {

	protected int LOOP = 1000000;
	
	protected StopWatch watch = new StopWatch();

	@Test
	public void testJavaBitSet() {
		int i, n = 0;
		BitSet bs = new BitSet();
		bs.set(10);
		watch.start();
		for (i = 0 ; i < LOOP ; i++) {
			n += bs.nextSetBit(0);
		}
		watch.stop();
		System.out.println("Java: " + n + " " + watch.toString());
	}

}
