package helix.graph.algo.c3part;

/**
 * Compute common connected components of a data graph
 * On the Fly multigraph construction approach.
 * Basic version kept for testing purpose, use
 * the C3PartOTF version instead.
 * 
 */

//
// for readability, we use uppercase characters for variables
// holding nodes of the multigraph (e.g. V, U) and lowercase characters for
// nodes of the datagraph (also called polygraph) (e.g. v, u)
//

import helix.graph.model.Graph;

public class C3PartOTFBasic extends C3PartAbstractOTFBasic {

	/**
	 * constructor
	 */
	
	public C3PartOTFBasic(Graph dataGraph) {
		super(dataGraph);
	}

}
