package helix.graph.algo.c3part;

/**
 * Compute common connected components of a data graph
 * On the Fly multigraph construction approach with stars
 * 
 */

//
// for readability, we use uppercase characters for variables
// holding nodes of the multigraph (e.g. V, U) and lowercase characters for
// nodes of the datagraph (also called polygraph) (e.g. v, u)
//

import helix.graph.model.Graph;

public class C3PartOTFQLocal extends C3PartAbstractOTFQLocal {

	/**
	 * constructor
	 */

	public C3PartOTFQLocal(Graph dataGraph) {
		super(dataGraph);
	}

}
