package helix.graph.model;

import java.util.Iterator;

public class EdgeToVertexIterable implements Iterable<Vertex> {

	protected Vertex origin_;
	protected Iterable<Edge> iterable_;
	
	public EdgeToVertexIterable(Iterable<Edge> iterable, Vertex origin) {
		iterable_ = iterable;
		origin_ = origin;
	}
	
	public Iterator<Vertex> iterator() {
		return new EdgeToVertexIterator(iterable_.iterator(), origin_);
	}
	

}
