package helix.graph.model.impl;

public class RBoolean extends ImmutableRegistryValue {

	protected boolean value_;

	public RBoolean(boolean b) {
		this.value_ = b;
	}

	public RBoolean(Boolean b) {
		this(b.booleanValue());
	}

	public RBoolean(String s) {
	  this.value_ = Boolean.parseBoolean(s);
	}
	
	public String toString() {
		return Boolean.toString(this.value_);
	}

	//@override
	public int intValue() {
		return (this.value_ ? 1 : 0);
	}

	//@override
	public float floatValue() {
		return (this.value_ ? 1f : 0f);
	}

	//@override
	public boolean booleanValue() {
		return this.value_;
	}

}
