package helix.graph.model.impl;

import helix.graph.model.IllegalValueException;
import helix.graph.model.RegistryValue;

/**
 * a memory implementation of a RegistryValue to hold any Object 
 * !! please use scarcely !!!
 * 
 * note: this can be used for weak references too
 *
 */
public class RObject implements RegistryValue {

	protected Object object_;

	public RObject(Object o) throws IllegalValueException {
		this.set(o);
	}
	
	// API

	// klone : take care : this klone does not duplicate instance !! 
	
	public RegistryValue klone() {
		return this;
	}

	public String serialize() {
		throw new IllegalValueException();
	}

	public boolean toBoolean() throws IllegalValueException {
		throw new IllegalValueException();
	}

	public float toFloat() throws IllegalValueException {
		throw new IllegalValueException();
	}

	public int toInt() throws IllegalValueException {
		throw new IllegalValueException();
	}
	
	// added functions
	
	public Object get() {
		return object_;
	}

	public Object set(Object o) {
		object_ = o;
		return object_;
	}

	/**
	 * a human readable version of toString()
	 */
	public String toString() {
		return "RObject: " + object_.toString();
	}
	
}
