package helix.graph.model.impl.memory;

import java.util.HashSet;
import java.util.Set;

import helix.graph.model.GSet;
import helix.graph.model.GraphElement;
import helix.graph.model.impl.AbstractGSetFactory;

public class MemGSetFactory<E extends GraphElement> extends AbstractGSetFactory<E> {

	public MemGSetFactory() {
	}

	public GSet<E> make() {
		return new MemGSet<E>();
	}
	
	public Set<GSet<E>> makeSuper() {
		return new HashSet<GSet<E>>();
	}
	
}
