package helix.graph.model.impl.memory;

import helix.graph.model.Graph;
import helix.graph.model.GraphFactory;

public class MemGraphFactory implements GraphFactory {

	static protected MemGraphFactory instance_ = new MemGraphFactory();
	
	protected MemGraphFactory() {
	}
	
	static public MemGraphFactory instance() {
		return instance_;
	}
	
	/*
	 * Factory API
	 */

	public Graph make() {
		return new MemGraph();
	}
}
